using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATD_Test_Mixed")]
public partial class AtdTestMixed
{
    public int? InstanceId { get; set; }

    public int? DocumentId { get; set; }

    public int? RevNum { get; set; }

    [StringLength(255)]
    [Unicode(false)]
    public string? RevStatus { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? Date { get; set; }

    public int? Integer { get; set; }

    [StringLength(50)]
    public string? String { get; set; }

    [Column("stringer")]
    [StringLength(50)]
    public string? Stringer { get; set; }
}
